Last modified: 2012-07-25 10:16:48 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22771 - CSS hooks in output (tracking)
CSS hooks in output (tracking)
Status: NEW
Product: MediaWiki
Classification: Unclassified
Parser (Other open bugs)
1.17.x
All All
: Low enhancement with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
: tracking
Depends on: 6104 12509 14247 17666 18704 5722 5874 8140 9174 10052 11005 13242 14549 15729 22770 23733 24045
Blocks: tracking css
  Show dependency treegraph
 
Reported: 2010-03-08 18:54 UTC by Chad H.
Modified: 2012-07-25 10:16 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Chad H. 2010-03-08 18:54:58 UTC
Gentlemen,

We clearly do not have enough classes on our output. See bug 5722, bug 5874, bug 6104, bug 8140, bug 9174, bug 10052, bug 11005, bug 12509, bug 13242, bug 14247, bug 14549, bug 15729, bug 17666, bug 18704, bug 22770. Clearly we need more. Suggest this bug as a blocker to the next release.
Comment 1 Aryeh Gregor (not reading bugmail, please e-mail directly) 2010-03-14 16:30:30 UTC
WONTFIX this and all dependencies?  :)
Comment 2 Happy-melon 2010-03-14 16:32:28 UTC
Fat chance.
Comment 3 Chad H. 2010-03-14 16:39:38 UTC
(In reply to comment #1)
> WONTFIX this and all dependencies?  :)

+1.
Comment 4 René Kijewski 2010-03-14 18:48:57 UTC
(In reply to comment #1)
> WONTFIX this and all dependencies?  :)

Show some respect!
If you developers want users to make suggestions, than don't put a ":)" after a comment demonstrating your dislike for users' input. Otherwise simply close the open bug tracking system.
Comment 5 Aryeh Gregor (not reading bugmail, please e-mail directly) 2010-03-14 22:38:13 UTC
(In reply to comment #4)
> Show some respect!
> If you developers want users to make suggestions, than don't put a ":)" after a
> comment demonstrating your dislike for users' input. Otherwise simply close the
> open bug tracking system.

You can file bugs, which gives us a place to look at them.  That doesn't mean we'll agree with all of them -- that's why the WONTFIX resolution exists.

We already have too many classes in some places, and there's really no limit to how many classes we could add to the output.  If we added classes every time a user asked for it, our output would become horrifyingly bloated over time.  Best not to go there, and to add no new classes unless there's a very clear reason.
Comment 6 René Kijewski 2010-03-14 22:47:12 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Show some respect!
> > If you developers want users to make suggestions, than don't put a ":)" after a
> > comment demonstrating your dislike for users' input. Otherwise simply close the
> > open bug tracking system.
> 
> You can file bugs, which gives us a place to look at them.  That doesn't mean
> we'll agree with all of them -- that's why the WONTFIX resolution exists.
> 
> We already have too many classes in some places, and there's really no limit to
> how many classes we could add to the output.  If we added classes every time a
> user asked for it, our output would become horrifyingly bloated over time. 
> Best not to go there, and to add no new classes unless there's a very clear
> reason.

I simply meant the way it was rejected ... There is no need for a cynical ":)".
Comment 7 Krinkle 2011-08-14 18:20:29 UTC
Renaming from 'CSS classes' to 'CSS hooks' as IDs are included as well.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links